=== debian/changelog ===
qt-color-widgets (2.2.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:50:05 +1100

qt-color-widgets (2.2.0-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:44:37 +0000

qt-color-widgets (2.2.0-2) unstable; urgency=medium

  * Fixed typo in copyright file

 -- Dima Kogan <dkogan@debian.org>  Mon, 22 Aug 2022 10:20:49 -0700

qt-color-widgets (2.2.0-1) unstable; urgency=medium

  * Initial upload into Debian (Closes: #1017570)

 -- Dima Kogan <dkogan@debian.org>  Wed, 17 Aug 2022 13:52:28 -0700
