=== debian/control ===
Source: qt-color-widgets
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.6.0
Homepage: https://gitlab.com/mattbas/Qt-Color-Widgets
Vcs-Git: https://salsa.debian.org/debian/qt-color-widgets.git
Vcs-Browser: https://salsa.debian.org/debian/qt-color-widgets

Package: libqt-color-widgets2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt widgets to manage color inputs
 This is a color dialog that is more user-friendly than the default QColorDialog
 and several other color-related widgets
 .
 The provided widgets are:
   - ColorWheel, An analog widget used to select a color
   - ColorPreview, A simple widget that displays a color
   - GradientSlider, A slider that has a gradient background
   - HueSlider, A variant of GradientSlider that has a rainbow background
   - ColorSelector, A ColorPreview that shows a ColorDialog when clicked
   - ColorDialog, A dialog that uses the above widgets to provide a better user
     experience than QColorDialog
   - ColorListWidget, A widget to edit a list of colors
   - Swatch, A widget to display a color palette
   - ColorPaletteWidget, A widget to use and manage a list of palettes
   - Color2DSlider, An analog widget used to select 2 color components
   - ColorLineEdit, A widget to manipulate a string representing a color
   - HarmonyColorWheel, A ColorWheel which allows defining multiple colors,
     separated by hue
   - GradientListModel, A QAbstractListModel used to list gradients (useful for
     combo boxes, list views and the like)
 .
 This package contains the run-time libraries

Package: libqt-color-widgets-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libqt-color-widgets2 (= ${binary:Version}),
         qtbase5-dev
Description: Qt widgets to manage color inputs
 This is a color dialog that is more user-friendly than the default QColorDialog
 and several other color-related widgets
 .
 The provided widgets are:
   - ColorWheel, An analog widget used to select a color
   - ColorPreview, A simple widget that displays a color
   - GradientSlider, A slider that has a gradient background
   - HueSlider, A variant of GradientSlider that has a rainbow background
   - ColorSelector, A ColorPreview that shows a ColorDialog when clicked
   - ColorDialog, A dialog that uses the above widgets to provide a better user
     experience than QColorDialog
   - ColorListWidget, A widget to edit a list of colors
   - Swatch, A widget to display a color palette
   - ColorPaletteWidget, A widget to use and manage a list of palettes
   - Color2DSlider, An analog widget used to select 2 color components
   - ColorLineEdit, A widget to manipulate a string representing a color
   - HarmonyColorWheel, A ColorWheel which allows defining multiple colors,
     separated by hue
   - GradientListModel, A QAbstractListModel used to list gradients (useful for
     combo boxes, list views and the like)
 .
 This package contains the build-time libraries
