=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Increase hardening to maximum, considering attack surface
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED_LIBS=ON \
		-DBUILD_STATIC_LIBS=OFF \
		-DQTCOLORWIDGETS_DESIGNER_PLUGIN=ON \
		-DTARGET_OUTPUT_SUFFIX=''

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/share/doc/libqt-color-widgets-dev/examples
	cp debian/build-gallery debian/tmp/usr/share/doc/libqt-color-widgets-dev/examples
