=== debian/watch ===
version=4
https://gitlab.com/mattbas/Qt-Color-Widgets/tags?sort=updated_desc archive/v?\d[\d.]+/Qt-Color-Widgets-v?([\d.]+)@ARCHIVE_EXT@
