=== color_widgets_designer_plugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,7 @@
-# Copyright (C) 2013-2020 Mattia Basaglia
-#
-#
-# This software is free software: you can redistribute it and/or modify
-# it under the terms of the GNU Lesser General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-# This software is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with Color Widgets.  If not, see <http://www.gnu.org/licenses/>.
+# SPDX-FileCopyrightText: 2013-2025 Mattia Basaglia <dev@dragon.best>
+# SPDX-License-Identifier: BSD-2-Clause
 
-cmake_minimum_required (VERSION 3.1 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.1...3.27 FATAL_ERROR)
 
 project(QtColorWidgetsPlugin CXX)
 
@@ -27,7 +14,6 @@
 
 include (CheckCXXCompilerFlag)
 
-include (../cmake/qt-configuration.cmake)
 include (../cmake/versioning.cmake)
 
 
@@ -37,19 +23,7 @@
 SET (${PROJECT_NAME}_VERSION "${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR}.${${PROJECT_NAME}_VERSION_PATCH}")
 
 
-set (QT_SUPPORTED_VERSIONS 5)
-
-select_qt (
-  QT_SUPPORTED_VERSIONS "${QT_SUPPORTED_VERSIONS}"
-  QT_DEFAULT_VERSION 5)
-
-set (REQUIRED_QT_COMPONENTS
-  Designer
-  )
-find_qt (
-  QT_SUPPORTED_VERSIONS "${QT_SUPPORTED_VERSIONS}"
-  REQUIRED_COMPONENTS "${REQUIRED_QT_COMPONENTS}"
-  OPTIONAL_COMPONENTS "")
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Designer REQUIRED)
 
 # Auto generate moc files
 set(CMAKE_AUTOMOC ON)
@@ -98,13 +72,9 @@
 
 target_link_libraries(${TARGET_NAME}
   PRIVATE
-  ${COLOR_WIDGETS_LIBRARY})
-
-use_qt (
-  TARGET_NAME ${TARGET_NAME}
-  QT_SUPPORTED_VERSIONS "${QT_SUPPORTED_VERSIONS}"
-  REQUIRED_COMPONENTS "${REQUIRED_QT_COMPONENTS}"
-  OPTIONAL_COMPONENTS "")
+  ${COLOR_WIDGETS_LIBRARY}
+  Qt${QT_VERSION_MAJOR}::Designer
+  )
 
 
 # Sources
@@ -155,7 +125,7 @@
 
 # install
 get_target_property (QT_QMAKE_EXECUTABLE
-  Qt5::qmake LOCATION)
+  Qt${QT_VERSION_MAJOR}::qmake LOCATION)
 
 execute_process (
   COMMAND ${QT_QMAKE_EXECUTABLE} -query QT_INSTALL_PLUGINS
