=== debian/changelog ===
qt-color-widgets (3.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1113856)

 -- Dima Kogan <dkogan@debian.org>  Thu, 04 Sep 2025 22:51:55 -0700
