=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt-color-widgets
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
+Maintainer: Dima Kogan <dkogan@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                qtbase5-dev,
