=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,9 @@
 	dh_auto_configure -- \
 		-DBUILD_SHARED_LIBS=ON \
 		-DBUILD_STATIC_LIBS=OFF \
+		-DQTCOLORWIDGETS_BUILD_STATIC_LIBS=OFF \
 		-DQTCOLORWIDGETS_DESIGNER_PLUGIN=ON \
-		-DTARGET_OUTPUT_SUFFIX=''
+		-DCOLOR_WIDGETS_QT_SUFFIX=OFF
 
 override_dh_auto_install:
 	dh_auto_install
