=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/mattbas/Qt-Color-Widgets/tags?sort=updated_desc -/archive/v?\d[\d.]+/Qt-Color-Widgets-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
